<?php
# Subroutine: adm_info.php called by Admin.php
# Xinfeng Chen, 2002.11.18

require_once('bin/config.php');
require_once('admin/adm.inc');
$svr_time=strftime("%Y-%m-%d.%H:%M:%S",time());

#--- Validate dministrator ---
include('admin/adm_validate.php');

$program_use_time="N/A"; //times;
$php_ver=phpversion();

page_header();

print <<<EOT
<H1>服务器信息</H1>
<center>
<br><table border=0 width=60%><tr><td>PHP 版本：</td>
<td><font color=red>$php_ver</font>
</td></tr>
<tr><td>服务器域名：</td>
<td><font color=red>$GLOBALS[HTTP_HOST]</font>
</td></tr>
EOT;

if($GLOBALS[SERVER_ADDR]){print"<tr><td>服务器IP地址：</td><td><font color=red>$GLOBALS[SERVER_ADDR]</font></td></tr>";}

print <<<EOT
<tr><td>服务器操作系统：</td><td><font color=red>$GLOBALS[OS]</font></td></tr>
EOT;

if($GLOBALS[COMPUTERNAME]){print"<tr><td>服务器计算机名称：</td><td><font color=red>$GLOBALS[COMPUTERNAME]</font></td></tr>";}

print <<<EOT
<tr><td>服务器HTTP软件名称：</td><td><font color=red>$GLOBALS[SERVER_SOFTWARE]</font></td></tr>
<tr><td>服务器现在时间：</td><td><font color=red>$svr_time</font></td></tr>
<tr><td>论坛系统现在时间：</td><td><font color=red>$stime</font></td></tr>
<tr><td>运行消耗时间：</td><td><font color=red>$program_use_time</font> ms</td></tr>
<tr><td>PHP INFO</td>
<td><a href=admin.php?cmd=phpinfo>phpinfo()</a>
</td></tr>
</table></body></html>
EOT;

page_footer();

?>